from ploneintranet.notifications.utils import i18n_translate
from ploneintranet.notifications.utils import message_variant

message_assigned_a_task_to_you = i18n_translate(
    "message_assigned_a_task_to_you_secure",
    default="${actor} assigned a task to you in ${location}.",
)
message_assigned_a_task_to_you_wt = i18n_translate(
    "message_assigned_a_task_to_you",
    default="${actor} assigned a task to you in ${location}: ${object}.",
)
variant_assigned_a_task_to_you = message_variant(
    message_assigned_a_task_to_you, message_assigned_a_task_to_you_wt
)

messsage_modified_your_task = i18n_translate(
    "message_modified_your_task_secure",
    default="${actor} modified your task in ${location}.",
)
messsage_modified_your_task_wt = i18n_translate(
    "message_modified_your_task",
    default="${actor} modified your task in ${location}: ${object}.",
)
variant_modified_your_task = message_variant(
    messsage_modified_your_task, messsage_modified_your_task_wt
)

message_closed_your_task = i18n_translate(
    "message_closed_your_task_secure",
    default="${actor} closed your task in ${location}.",
)
message_closed_your_task_wt = i18n_translate(
    "message_closed_your_task",
    default="${actor} closed your task in ${location}: ${object}.",
)
variant_closed_your_task = message_variant(
    message_closed_your_task, message_closed_your_task_wt
)

message_closed_a_task = i18n_translate(
    "message_closed_a_task_secure",
    default="${actor} closed a task in ${location}.",
)
message_closed_a_task_wt = i18n_translate(
    "message_closed_a_task",
    default="${actor} closed a task in ${location}: ${object}.",
)
variant_closed_a_task = message_variant(message_closed_a_task, message_closed_a_task_wt)

message_modified_a_task = i18n_translate(
    "message_modified_a_task_secure",
    default="${actor} modified a task in ${location}.",
)
message_modified_a_task_wt = i18n_translate(
    "message_modified_a_task",
    default="${actor} modified a task in ${location}: ${object}.",
)
variant_modified_a_task = message_variant(
    message_modified_a_task, message_modified_a_task_wt
)
